/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_sql varchar2(32000);

BEGIN

  --
  -- Register QueryValueSetValues service
  --
  l_sql :=
'        SELECT *
        FROM   TABLE(xxas_com_vset_pkg.get_vset_values(:pValueSetId, :pSelectedPersonId)) ';

  xxas_com_sr_pkg.seed_query_service
    (p_service_name      => 'QueryValueSetValues'
    ,p_securing_function => 'XXAS_SRV_Q_VSET_VAL_PERM'
    ,p_sql               => l_sql
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pValueSetId'       , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pSelectedPersonId' , xxas_com_sr_pkg.g_NUMBER)));

END;
/
COMMIT;
EXIT;
